Bug 112292

Summary: [CI][SHARDS]igt@prime_vgem@wait-blt - fail - Failed assertion: poll(&pfd, 1, 10000) == 1
Product: DRI Reporter: Lakshmi <lakshminarayana.vudum>
Component: DRM/IntelAssignee: Intel GFX Bugs mailing list <intel-gfx-bugs>
Status: RESOLVED WONTFIX QA Contact: Intel GFX Bugs mailing list <intel-gfx-bugs>
Severity: not set    
Priority: not set CC: intel-gfx-bugs
Version: DRI git   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: BXT, GLK, KBL, SKL i915 features: GEM/Other

Description Lakshmi 2019-11-15 07:03:44 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5280/shard-kbl6/igt@prime_vgem@wait-blt.html
Starting subtest: wait-blt
(prime_vgem:7406) CRITICAL: Test assertion failure function test_wait, file ../tests/prime_vgem.c:473:
(prime_vgem:7406) CRITICAL: Failed assertion: poll(&pfd, 1, 10000) == 1
(prime_vgem:7406) CRITICAL: error: 0 != 1
Subtest wait-blt failed.
Comment 1 CI Bug Log 2019-11-15 07:04:44 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* APL SKL KBL GLK: igt@prime_vgem@wait-blt - fail - Failed assertion: poll(&amp;pfd, 1, 10000) == 1
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7340/shard-apl2/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7340/shard-glk6/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7340/shard-kbl1/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7340/shard-skl4/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15254/shard-apl7/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15254/shard-glk9/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15254/shard-kbl7/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15254/shard-skl6/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7341/shard-apl7/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7341/shard-glk7/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7341/shard-kbl7/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7341/shard-skl4/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7342/shard-apl2/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7342/shard-glk3/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7342/shard-kbl3/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15258/shard-apl7/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15258/shard-glk4/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15258/shard-kbl4/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15258/shard-skl1/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15259/shard-apl6/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15259/shard-glk9/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15259/shard-kbl3/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_15259/shard-skl9/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5280/shard-apl8/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5280/shard-glk5/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5280/shard-kbl6/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5280/shard-skl4/igt@prime_vgem@wait-blt.html
Comment 2 Chris Wilson 2019-11-15 10:19:33 UTC
commit 9e57f8a51d59b3ffe4002d761fe0315d733bd66e (upstream/master, origin/master, origin/HEAD)
Author: Kuoppala, Mika <mika.kuoppala@intel.com>
Date:   Wed Nov 13 17:49:09 2019 +0200

    lib/i915: Add query to detect if engine accepts only ro batches
    
    If cmd parser is mandatory, batch can't be modified post execbuf.
    Some tests rely on modifying batch post execbuf. Give those
    tests a method to query if those modifications ever reach
    the actual engine command stream.
    
    v2: pull in the test changes, doh
    v3: class based query
    v4: rebase
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 3 CI Bug Log 2019-11-19 15:28:13 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL SKL KBL GLK: igt@prime_vgem@wait-blt - fail - Failed assertion: poll(&amp;pfd, 1, 10000) == 1 -}
{+ APL BXT SKL KBL GLK: igt@prime_vgem@wait-blt - fail - Failed assertion: poll(&amp;pfd, 1, 10000) == 1 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_404/fi-bxt-dsi/igt@prime_vgem@wait-blt.html
Comment 4 CI Bug Log 2019-11-19 16:13:14 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL BXT SKL KBL GLK: igt@prime_vgem@wait-blt - fail - Failed assertion: poll(&amp;pfd, 1, 10000) == 1 -}
{+ APL BXT SKL KBL GLK CFL: igt@prime_vgem@wait-blt - fail - Failed assertion: poll(&amp;pfd, 1, 10000) == 1 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_404/fi-cfl-8700k/igt@prime_vgem@wait-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_404/fi-cfl-guc/igt@prime_vgem@wait-blt.html
Comment 5 CI Bug Log 2019-11-20 11:25:04 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL BXT SKL KBL GLK CFL: igt@prime_vgem@wait-blt - fail - Failed assertion: poll(&amp;pfd, 1, 10000) == 1 -}
{+ APL BXT SKL KBL GLK WHL CFL CML: igt@prime_vgem@wait-blt - fail - Failed assertion: poll(&amp;pfd, 1, 10000) == 1 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_404/fi-cml-s/igt@prime_vgem@wait-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_404/fi-cml-u2/igt@prime_vgem@wait-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_404/fi-whl-u/igt@prime_vgem@wait-blt.html

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.